10/01/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* iface-wlan-14.c, psgui.c, prismstumbler.c, interface.c:
	  Basic and untested support for Cisco Aironet cards.
	* main.c, main-fe.c: Added some more DHCP commands.
	* prismstumbler.c: Scanning of available cards.
	                   Implemented DHCP detection.
	* src/Makefile.in: prismstumbler itself uses cards.c now and glib.

08/04/2004  Florian Boor <florian.boor@kernelconcepts.de>
    * Setup dialog dhcp value setting fixed.
    * New version 0.7.3
    * Fixed setupdlg layout.
    * Fixed dhcp client strings.
    * Tool bar style is set by system now.

08/02/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Removed some autogenerated files from CVS.
	* Started coding dhcp client selection.

06/29/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* prismstumbler.c: Switch of wireless interfaces of the H5xxx iPaq.
	* main.c: Exit server after client exits, it can't be killed by the 
	  user anymore.
	* VERSION: Updated to 0.7.2-1
	* prismstumbler.c, iface-wlan-14.c: Several fixes to improve behaviour 
	  and to fix segfaults.
	
06/11/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* prismstumbler.c: Fixed bug causing scanning in scan mode to stop.
	* iface-scan.c: Fixed bug caused bad channel numbers.

03/11/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Released V 0.7.1.
	* help.txt: Version update.
	* configure: New file in CVS.
	* Removed some obsolete stuff.
	* Updated documentation.
	
03/10/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Some documentation reordering and updates. Preparing dist target.
	* autotools stuff: Several minor fixes.
	* psgui.c, setupdlg.c, preferences.c, helpwindow.c, main.c, prismstumbler.c,
	  iface-wlan-14.c, analyzer.c, iface-scan.c:
	  Fixed several warnings and minor bugs.
	* prismstumbler.h: Added definition to make it usable from c++ software.
	* ps_database.c: Removed pthread stuff, shouldn't be necessary.
	* helpfile.c: Added message for case file not found.
	* psgui.c, helpfile.c: Fixed several error conditions.
	* interface.c, psgui.c: Fixed delete function and context menu.
	
03/09/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* autotools stuff: Several minor fixes.
	
03/08/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* autotools stuff: Added sqlite check, several improved targets.
	* interface.c, main-fe.c: Minor fixes.
	* autotools stuff: Major rework with custom Makefile.in.
	* autotools stuff: Creating packages works.
	
03/05/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Build system: added installation and package generation (still broken)
	
03/05/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Some minor bugfixes.
	* Started setup for autotools build system.
		missing: pictures, ipkg, data files, installation, specific checks
	* Makefile: We use the system libpcap now. Version >=0.7.2 is necessary.

03/03/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* psgui.c: Fixed another scanner issue in connection attempt.
	* psgui.c: Fixed segfault in GUI callbacks.
	* ps_database.c: Fixed segfault starting with old database version.
	* interface.c: Several improvements of GUI on different screen sizes.
	* helper.c: Fixed warning about implict declaration.
	* Makefile: Pushed version to 0.7.1.
	
02/06/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Changed pathes to be absolute. 
	* Fixed native compiling in Makefile.

02/05/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Released V 0.7.0
	* Makefile: Added installing of icons and text file.
	* interface.c: Set default window size dependant from screen size.
	* psgui.c: Fixed bug that caused scanner to turn on after connect.
	* setupdlg.c: changed button order.
	* iface-wlan-14.c: Fixed minor bug in orinoco handling.
	* psgui.c: Fixed memory leaks.
	* psgui.c: Started to fix strange connection behaviour.
	
02/04/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* psgui.c: Fixed scanner didn't turn off on connect.
	* prismstumbler.c: Removed obsolete debug output.
	* analyzer.c: Some minor cleanups.
	* TODO: Updates, new ideas.
	
02/03/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* interface.c, psgui.*: Added about window.
	* interface.c: We set icon of main window now.
	* psgui.c: Changed message dialog behaviour fixing gui freeze.
	* psgui.c: Some hack to reset style, works not that perfect.
	* psgui.c: Apply color in update_colors() in any case.
	
02/01/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* TODO: Update and cleanup.
	* main-fe.c: Removed parsing of custom gtkrc.
	* psgui.c, helper.c: Fixed colors in night mode.
	* README, REVHIST, INSATLL: Several documentation updates.
	* analyzer.c: Changes in broadcast handling for better network detection.
	* interface.c: Changed color of gauge to blue, resized it, widget reordering.
	* psgui.c: Added station (node) info logging. Fixed warning.
	* prismstumbler.c: Minor fixes.

01/31/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* analyzer.c, prismstumbler.h: Added sending of node info.
	* helpwindow.*, interface.c: Added help window.
	* interface.c: Moved signal bar back to be visible on all tabs.
	* Makefile: Added object and installation of help file.
	* doc/help.txt: Added file for help on installed system.
	* psgui.c: Changed shortcut for status page to s. 
	
01/30/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* main.c, prismstumbler.c: Fixed waypoint file handling.
	* analyzer.c: Simple check of IP headers.

01/29/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* analyzer.*: Fix for broken protocol detection.
	
01/28/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* interface.c, psgui.*: Added control to set focus on active net.
	* ps_database.c: Fixed bug where database version was altered.
	* interface.c: Fixed reordering segfault.
	* psgui.c: Loaded networks are not colored now.
	* Updated AUTHORS, TODO.
	* psgui.c: List scrolls to end if new net is added.
	* psgui.c: Added a very simple tracking mode.
	
01/27/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* interface.c, psgui*: Added tracking facility.
	
01/26/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* psgui.c: Fixed bug causing GUI to segfault because of recusive signals.
	* psgui.*, interface.c, helper.*: Added connection feature. 

01/25/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* main-fe.c, psgui.c, interface.c: 
	  Moved card detection call to psgui. GUI shows available interfaces now.
	* Added setupdlg.* to provide extended setup options.
	* Moved packets log control to setup dialog.
	* Added button to find interfaces and reconnect to GPSD.
	* prismstumbler.c: Impemented GPSD reconnection.
	* psgui*, setupdlg.c: Added parent window to show_message parameters.

01/23/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* preferences.c: Added file selection stuff.
	* interface.c, psgui.*: Added new functions for config handling.
	
01/22/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* ps_database.c: shortened demo net string.
	* interface.c: Removed glade cruft, added menu.
	* prismstumbler.c: Moved in some stuff from helper - needs own module soon.
	* psgui.c, helper.c: Moved stuff to helper.c
	* psgui.c, helper.c: Added ssid sanity checks.
	* psgui.c: Added message if no card detected. Scanner is disabled then.
	* preferences.c, psgui.c: Coded loading of config.
	* Buttons change on config change now.
	
01/21/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* psgui.c: Added some stuff for dialogs;
	* face-wlan-14.c: Reduced verbosity.
	* preferences.c: Coded saving of config files.
	* psgui.c: Some changes on data handling. Fixed restoring channel.
	* analyzer.c: Some sanity updates to make us more safe.

01/21/2004  Florian Boor <florian.boor@kernelconcepts.de>
	prismstumbler.c: Fixed scan mode only probing.
	preferences.c: Started to code saving/loading config.
	
01/20/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* interface.c: Removed some label default text.
	* prismstumbler.c: Fixed detection leaves devices open.
	* main.c: Scanning off per default to be consistent with frontend.
	* prismstumbler.c: Fixed bug that caused scanner not to start.
	* prismstumbler.c: Fixed bug that caused scanner not to stop.
	* analyzer.c: Removed wrong assumption.
	* ps_database.c: Fixed bug creating new database on every start and
	                 several bugs in database checking.
	
01/16/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Makefile: Links against libgpewidget now, e.g. for help support.
	* psgui.c, interface.c: Changed layout of apply button. It doesn't start 
	                        the scanner now too. Removed obsolete stuff.
	
01/15/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* prismstumbler.c: Removed debug code, fixed bug causing scan to stop.
	
01/14/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* prismstumbler.h: Introduced scan modes.
	* prismstumbler.h: Changed scan modes to new driver type.
	* iface-wlan-14.c: Added handling for scan driver.
	* prismstumbler.c: Integrated handling of scan mode driver type.
	* iface-scan.*: Add position data to scan results.
	* interface.c, psgui.c: Added new driver controls.
	* interface.c: Fixed missing cleanup.
	* iface-scan.c: Infrastructure type display improvement.
	* prismstumbler.c: Added scan mode detection stuff.
	* iface-scan.c: Added info fields: WEP (not sure if this makes sense), 
	                                   signal strength (unreliable)
					Prints info only in debug mode now.
	* psgui.c, interface.c: wlan-ng gui stuff depends on WLAN_NG now.
	* Interface.c, psgui.*: Removed obsolete stop button, some minor gui 
	                        improvements.
	

01/14/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* New scan mode infos: bitrate, ad-hoc mode
	* Hardcoded path to "killall".
	* Fixed typo in prismstumbler.c

01/12/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* prismstumbler.c, iface-scan.c: Changed name of socket.
	* Made scan interface work! But it still needs some work...

01/11/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Replaced channel edit by spin button.
	* Improved GUI channel changing behaviour.
	* Some minor fixes, scanner defaults to OFF now. 
	* Buttons that toggle something show state now.
	* Some updates in scan interface.

01/09/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Added toolbar for basic controls.
	* Fixed a bug in color generation.
	* prismstumbler.c: Removed obsolete debug stuff.
	* iface-wlan-14.c: Added pcap dump handlers.
	* Added iface-wlan-14.h
	* Added stock icon for scanner control, thanks Jimmac!
	* Added preference.*
	* iface-wlan-14.c: Fixed channel changing not to make unnecessary hops.

01/06/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Some minor gui chages.
	
01/05/2004  Florian Boor <florian.boor@kernelconcepts.de>
	* Minor change to make ps open and update a waypoint file in /tmp.
	* Removed the -pre9 prefix from version, ipkg doesn't handle this properly.

12/28/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* Some optical updates to status page. 
	* Removed obsolete stuff.
	* Added some file headers.
	* Database errors go to stderr now.
	* Fixed some warnings in cards.c
	* started interface for wireless tools scan mode
	* moved include files to correct directory

12/28/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* Changed color of WEP-enabled BSSIDS.

12/20/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* Added patch for proper card detection by Philip Blundell

09/27/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* Reads compressed manufacturers.dat now.
	* Added support for manufacturers data in /etc
	* Updated text labels for details list.
	* added src/manufacturers.dat (taken from ethereal)
	* Updated hostap handling for 0.0.4
	* removed obsolete comments
	* reduced verbosity
	* Released 0.7.0-pre8

09/26/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* Removed all lookup_widget calls and replaced it by globals.
	* Added pixmaps/wlan-net.png
	* Removed some old cruft in frontend implementation.
	
09/22/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* Implemented basic treeview update.

09/19/2003  Florian Boor <florian.boor@kernelconcepts.de>
	* psgui.c: Some implementation stuff to make treeview work
	* interface.c: dito
	* fixed a grave bug in data handling

09/11/2003  Florian Boor <florian.boor@kernelconcepts.de>

Changed dhcpcd interface.

08/01/2003  Florian Boor <florian.boor@kernelconcepts.de>

Select detail information from tree.

07/31/2003  Florian Boor <florian.boor@kernelconcepts.de>

Some new fields in browser.
Browser lines are correctly colored now.

07/30/2003  Florian Boor <florian.boor@kernelconcepts.de>

Added some more components to node type t_gnet.
Tree displays one type of icon now.
Updated color storage to new mode.
Fixed multiple warnings.
Problem: Clist is really unstable now!

07/22/2003  Florian Boor <florian.boor@kernelconcepts.de>

Data handling update.

07/21/2003  Florian Boor <florian.boor@kernelconcepts.de>

Started GUI data handling rework.

07/07/2003  Florian Boor <florian.boor@kernelconcepts.de>

Minor fixes, merges.

07/04/2003  Florian Boor <florian.boor@kernelconcepts.de>

Some GUI additions.

06/27/2003	Florian Boor

Updated version to 0.7.0-pre4.

06/26/2003	Florian Boor

Some minor bugfixes to make it compile again.

06/19/2003	Florian Boor

Database versioning and automatic recreation part 1

06/18/2003	Florian Boor

Added saving of network speed.
Added quite mode.

06/10/2003	Florian Boor

Added LED signal during scan (iPaq only).
Added spectrum support.

06/10/2003	Florian Boor

Released 0.7.0-pre3.
Updated version number in Makefile.

06/10/2003	Florian Boor

Minor bugfixes in connection script.
Set uid to work with hostap.

06/10/2003	Florian Boor

Some bugfixes in clients handling.
Frontend turns scanner on again.

06/06/2003	Florian Boor

Start dhcp per default if no IP set.

06/05/2003	Florian Boor

New feature: Status messages.

06/05/2003	Florian Boor

Many updates so far - cleanups, bugfixes etc.
Should now be able to handle client connection clean.
Because of some problems with dhcp it kills any running dhcpcd on startup.
Some code cleanups.

06/01/2003	Florian Boor

miniclient.c Update to work with new scanner interface.

05/30/2003	Florian Boor

iface-wlan-14.c	Make it less noisy...

05/30/2003	Florian Boor

psgui.c 	Reenabled database backend.
Makefile

05/26/2003	Florian Boor

Updated Makefile to create ipk packages for front- and backend.
Added icon and .desktop file.
Added ipkg control and postinst file.
Released V. 0.7.0-pre1


05/20/2003	Florian Boor	

Several bugfixes, added connection support for WEP encrypted networks .


05/20/2003	Florian Boor	

Introduced this file.
